## syncthing 1.29.5~ds1

=== gui/default/vendor/HumanizeDuration.js/Makefile ===

help:
	@echo To update this package, type: make update

update:
	wget -O LICENSE.txt https://raw.githubusercontent.com/rasa/HumanizeDuration.js/main/LICENSE.txt
	wget -O humanize-duration.js https://raw.githubusercontent.com/rasa/HumanizeDuration.js/main/humanize-duration.js

## syncthing 0.13.4+dfsg1

=== debian/changelog ===
syncthing (0.13.4+dfsg1-1) unstable; urgency=medium

  * Added missing CC-BY-SA-4.0 section in d/copyright
  * Changed maintainer to pkg-go team
  * Added patch to use Debian's jackpak/gateway

 -- Alexandre Viau <aviau@debian.org>  Tue, 31 May 2016 12:17:07 -0400

syncthing (0.13.2+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #749887)

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 May 2016 14:18:29 -0400

=== debian/control ===
Source: syncthing
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>,
           Gordon Ball <gordon@chronitis.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
# Go libs
               genxdr,
               golang-metrics-dev,
               golang-github-kardianos-osext-dev,
               golang-github-bkaradzic-go-lz4-dev,
               golang-golang-x-text-dev,
               golang-golang-x-net-dev,
               golang-golang-x-crypto-dev,
               golang-github-calmh-du-dev,
               golang-github-calmh-luhn-dev,
               golang-github-calmh-xdr-dev,
               golang-github-thejerf-suture-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-vitrun-qart-dev,
               golang-goleveldb-dev,
               golang-github-gobwas-glob-dev,
               golang-github-jackpal-gateway-dev,
               golang-github-audriusbutkevicius-go-nat-pmp-dev,
               golang-github-d4l3k-messagediff-dev,
# Web things
               fonts-font-awesome,
               libjs-bootstrap,
               node-uglify
Standards-Version: 3.9.8
Homepage: https://www.syncthing.net/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/syncthing.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/syncthing.git
XS-Go-Import-Path: github.com/syncthing/syncthing

Package: golang-github-syncthing-syncthing-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
# Go libs
         genxdr,
         golang-metrics-dev,
         golang-github-kardianos-osext-dev,
         golang-github-bkaradzic-go-lz4-dev,
         golang-golang-x-text-dev,
         golang-golang-x-net-dev,
         golang-golang-x-crypto-dev,
         golang-github-calmh-du-dev,
         golang-github-calmh-luhn-dev,
         golang-github-calmh-xdr-dev,
         golang-github-thejerf-suture-dev,
         golang-github-juju-ratelimit-dev,
         golang-github-vitrun-qart-dev,
         golang-goleveldb-dev,
         golang-github-gobwas-glob-dev,
         golang-github-jackpal-gateway-dev,
         golang-github-audriusbutkevicius-go-nat-pmp-dev,
         golang-github-d4l3k-messagediff-dev
Description: decentralized file synchronization - dev package
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 This is the dev package.

Package: syncthing
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: decentralized file synchronization
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 This package contains the main binary.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEBIAN_DIR = $(CURDIR)/debian
TMP        = $(DEBIAN_DIR)/$(PACKAGE)
SOURCE     = $(TMP)/../
PKG        = github.com/syncthing/syncthing

export DH_GOLANG_GO_GENERATE := 1

# the version string is checked against
# ^v\d+.\d+.\d+(-[a-z0-9]+)*(\+\d+-g[0-9a-f]+)?(-dirty)?$
# which $(DEB_VERSION doesn't necessarily match (eg, ~beta, +dfsg))
# but it is probably appropriate to include something here so it is clear
# that this isn't upstream's build
# x.y.z+dfsg -> vx.y.z-dfsg
export ST_DEB_VERSION := v$(shell echo $(DEB_VERSION_UPSTREAM) | tr A-Z a-z | tr +~ -)


%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure

	###############
	## Web files ##
	###############
	# initial folder
	cp -r -v  $(SOURCE)/gui _build/src/$(PKG)
	mkdir -p _build/src/$(PKG)/gui/default/vendor
	# Bootstrap
	mkdir _build/src/$(PKG)/gui/default/vendor/bootstrap
	cp -v -r /usr/share/javascript/bootstrap/css _build/src/$(PKG)/gui/default/vendor/bootstrap/css
	cp -v -r /usr/share/javascript/bootstrap/js _build/src/$(PKG)/gui/default/vendor/bootstrap/js
	# font-awesome
	mkdir _build/src/$(PKG)/gui/default/vendor/font-awesome
	cp -v -r /usr/share/fonts-font-awesome/css _build/src/$(PKG)/gui/default/vendor/font-awesome/css
	cp -v -r /usr/share/fonts-font-awesome/fonts _build/src/$(PKG)/gui/default/vendor/font-awesome/fonts
	# build assets
	cd _build/src/$(PKG) && go run script/genassets.go gui > lib/auto/gui.files.go

	###############
	## test data ##
	###############
	# tip: `find . -type d -name testdata`
	# then put them here in alphabetical order
	cp -rv $(SOURCE)/cmd/syncthing/testdata _build/src/$(PKG)/cmd/syncthing/
	cp -rv $(SOURCE)/lib/upgrade/testdata _build/src/$(PKG)/lib/upgrade/
	cp -rv $(SOURCE)/lib/model/testdata _build/src/$(PKG)/lib/model/
	cp -rv $(SOURCE)/lib/ignore/testdata _build/src/$(PKG)/lib/ignore/
	cp -rv $(SOURCE)/lib/db/testdata _build/src/$(PKG)/lib/db/
	cp -rv $(SOURCE)/lib/config/testdata _build/src/$(PKG)/lib/config/
	cp -rv $(SOURCE)/lib/scanner/testdata _build/src/$(PKG)/lib/scanner/
	# syncthing/test
	cp -rv $(SOURCE)/test/h1 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/h2 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/h3 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/h4 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/logs _build/src/$(PKG)/test/

	# lintian: package-contains-vcs-control-file
	rm _build/src/$(PKG)/lib/db/testdata/.gitignore
	rm _build/src/$(PKG)/test/logs/.gitignore

override_dh_auto_build:
	dh_auto_build -- -ldflags "-X main.Version=$(ST_DEB_VERSION) \
	                           -X main.BuildUser=debian \
	                           -X main.BuildHost=debian \
	                           -X main.BuildStamp=$(SOURCE_DATE_EPOCH)" \
	                           -tags noupgrade

## syncthing 0.13.10+dfsg1

=== debian/changelog ===
syncthing (0.13.10+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Set section of the main package to utils.
  * Set section of the dev package to devel.
  * Remove obsolete patches:
    - build-Use-SOURCE_DATE_EPOCH-for-build-time-stamp-whe.patch
    - lib-upgrade-Remove-TestGithubRelease-fixes-3362.patch
    - script-Remove-build-date-in-genassets.go.patch
    - Fix-typos.patch

 -- Alexandre Viau <aviau@debian.org>  Mon, 04 Jul 2016 12:12:49 +0200

syncthing (0.13.9+dfsg1-3) unstable; urgency=medium

  * Properly include fontawesome fonts (Closes: #829090)

 -- Alexandre Viau <aviau@debian.org>  Thu, 30 Jun 2016 18:19:43 +0200

syncthing (0.13.9+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Import upstream patches
    - Remove the TestGithubRelease test (Closes: #828808)
    - Honor SOURCE_DATE_EPOCH when set  (Closes: #828994)
  * Fix typos in messages and manpages

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Wed, 29 Jun 2016 23:13:55 +0200

syncthing (0.13.9+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/copyright: new sections
     - cmd/discosrv/*
     - cmd/relaysrv/*
  * Remove obsolete use-packaged-gateway.patch.
  * genxdr-command.patch: include a new file.
  * New dependencies:
    - golang-github-cznic-ql-dev
    - golang-github-golang-groupcache-dev
    - golang-github-lib-pq-dev

 -- Alexandre Viau <aviau@debian.org>  Mon, 27 Jun 2016 23:41:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: syncthing
-Section: devel
+Section: utils
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
@@ -22,10 +22,13 @@
                golang-github-juju-ratelimit-dev,
                golang-github-vitrun-qart-dev,
                golang-goleveldb-dev,
-               golang-github-gobwas-glob-dev,
+               golang-github-gobwas-glob-dev (>= 0.2.0),
                golang-github-jackpal-gateway-dev,
                golang-github-audriusbutkevicius-go-nat-pmp-dev,
                golang-github-d4l3k-messagediff-dev,
+               golang-github-cznic-ql-dev,
+               golang-github-golang-groupcache-dev,
+               golang-github-lib-pq-dev,
 # Web things
                fonts-font-awesome,
                libjs-bootstrap,
@@ -38,6 +41,7 @@
 
 Package: golang-github-syncthing-syncthing-dev
 Architecture: all
+Section: devel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-go,
@@ -56,10 +60,13 @@
          golang-github-juju-ratelimit-dev,
          golang-github-vitrun-qart-dev,
          golang-goleveldb-dev,
-         golang-github-gobwas-glob-dev,
+         golang-github-gobwas-glob-dev (>= 0.2.0),
          golang-github-jackpal-gateway-dev,
          golang-github-audriusbutkevicius-go-nat-pmp-dev,
-         golang-github-d4l3k-messagediff-dev
+         golang-github-d4l3k-messagediff-dev,
+         golang-github-cznic-ql-dev,
+         golang-github-golang-groupcache-dev,
+         golang-github-lib-pq-dev
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,12 @@
 	cp -v -r /usr/share/javascript/bootstrap/js _build/src/$(PKG)/gui/default/vendor/bootstrap/js
 	# font-awesome
 	mkdir _build/src/$(PKG)/gui/default/vendor/font-awesome
-	cp -v -r /usr/share/fonts-font-awesome/css _build/src/$(PKG)/gui/default/vendor/font-awesome/css
-	cp -v -r /usr/share/fonts-font-awesome/fonts _build/src/$(PKG)/gui/default/vendor/font-awesome/fonts
+	cp --dereference -v -r /usr/share/fonts-font-awesome/css _build/src/$(PKG)/gui/default/vendor/font-awesome/css
+	cp --dereference -v -r /usr/share/fonts-font-awesome/fonts _build/src/$(PKG)/gui/default/vendor/font-awesome/fonts
 	# build assets
 	cd _build/src/$(PKG) && go run script/genassets.go gui > lib/auto/gui.files.go
+	# Now remove the vendor stuff, we don't really want to ship it in the -dev package.
+	rm -rf _build/src/$(PKG)/gui/default/vendor
 
 	###############
 	## test data ##
@@ -52,7 +54,6 @@
 	# tip: `find . -type d -name testdata`
 	# then put them here in alphabetical order
 	cp -rv $(SOURCE)/cmd/syncthing/testdata _build/src/$(PKG)/cmd/syncthing/
-	cp -rv $(SOURCE)/lib/upgrade/testdata _build/src/$(PKG)/lib/upgrade/
 	cp -rv $(SOURCE)/lib/model/testdata _build/src/$(PKG)/lib/model/
 	cp -rv $(SOURCE)/lib/ignore/testdata _build/src/$(PKG)/lib/ignore/
 	cp -rv $(SOURCE)/lib/db/testdata _build/src/$(PKG)/lib/db/

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg[\d]*$//;s/~beta/-beta/,\
uversionmangle=s/.*\/v([\d\.]+)(-beta[\.\d]+)?\.tar\.gz/$1$2/;s/-beta/~beta/,\
pgpsigurlmangle=s/$/.asc/,\
repacksuffix=+dfsg1,\
dversionmangle=s/\+dfsg\d*$// \
  https://github.com/syncthing/syncthing/releases .*/syncthing-source-v?(\d\S*)\.tar\.gz

## syncthing 0.14.0+dfsg1

=== debian/changelog ===
syncthing (0.14.0+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Remove genxdr-command.patch.
  * Create use-debian-proto.patch.
  * Add postinst script to restart after upgrade.
  * Removed some unused lintian overrides.
  * New dependencies:
     - golang-github-oschwald-geoip2-golang-dev
     - golang-gogoprotobuf-dev
  * d/copyright:
    - discosrv -> stdiscosrv
    - relaysrv -> strelaysrv
  * d/rules: don't build strelaypoolsrv.

 -- Alexandre Viau <aviau@debian.org>  Sun, 10 Jul 2016 10:59:06 +0200

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,8 @@
                golang-github-d4l3k-messagediff-dev,
                golang-github-cznic-ql-dev,
                golang-github-golang-groupcache-dev,
+               golang-github-oschwald-geoip2-golang-dev,
+               golang-gogoprotobuf-dev,
                golang-github-lib-pq-dev,
 # Web things
                fonts-font-awesome,
@@ -66,6 +68,8 @@
          golang-github-d4l3k-messagediff-dev,
          golang-github-cznic-ql-dev,
          golang-github-golang-groupcache-dev,
+         golang-github-oschwald-geoip2-golang-dev,
+         golang-gogoprotobuf-dev,
          golang-github-lib-pq-dev
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across

## syncthing 0.14.2+dfsg1

=== debian/changelog ===
syncthing (0.14.2+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Created packages for the discovery server and the relay server.
  * Specify syncthing binary name in syncthing package description.

 -- Alexandre Viau <aviau@debian.org>  Wed, 27 Jul 2016 10:09:33 -0400

=== debian/control ===
--- 
+++ 
@@ -91,4 +91,37 @@
  Syncthing does not upload your data to the cloud but exchanges your data
  across your machines as soon as they are online at the same time.
  .
- This package contains the main binary.
+ This package contains the main binary: syncthing.
+
+Package: syncthing-relaysrv
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Description: decentralized file synchronization - relay server
+ Syncthing is an application that lets you synchronize your files across
+ multiple devices. This means the creation, modification or deletion of files
+ on one machine will automatically be replicated to your other devices.
+ Syncthing does not upload your data to the cloud but exchanges your data
+ across your machines as soon as they are online at the same time.
+ .
+ Syncthing relies on a network of community-contributed relay servers. Anyone
+ can run a relay server, and it will automatically join the relay pool and be
+ available to Syncthing users.
+ .
+ This package contains the relay server binary: strelaysrv.
+
+Package: syncthing-discosrv
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Description: decentralized file synchronization - discovery server
+ Syncthing is an application that lets you synchronize your files across
+ multiple devices. This means the creation, modification or deletion of files
+ on one machine will automatically be replicated to your other devices.
+ Syncthing does not upload your data to the cloud but exchanges your data
+ across your machines as soon as they are online at the same time.
+ .
+ Syncthing relies on a discovery server to find peers on the internet. Anyone
+ can run a discovery server and point its syncthing installations to it.
+ .
+ This package contains the discovery server binary: stdiscosrv.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 SOURCE     = $(TMP)/../
 PKG        = github.com/syncthing/syncthing
 
-export DH_GOLANG_GO_GENERATE := 1
+# Disabled until bug 795841 is done
+#export DH_GOLANG_GO_GENERATE := 1
 
 # the version string is checked against
 # ^v\d+.\d+.\d+(-[a-z0-9]+)*(\+\d+-g[0-9a-f]+)?(-dirty)?$
@@ -22,6 +23,7 @@
 # x.y.z+dfsg -> vx.y.z-dfsg
 export ST_DEB_VERSION := v$(shell echo $(DEB_VERSION_UPSTREAM) | tr A-Z a-z | tr +~ -)
 
+export DH_GOLANG_EXCLUDES := cmd/strelaypoolsrv
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
@@ -32,8 +34,9 @@
 	###############
 	## Web files ##
 	###############
-	# initial folder
-	cp -r -v  $(SOURCE)/gui _build/src/$(PKG)
+	# initial folders
+	cp -r -v $(SOURCE)/gui _build/src/$(PKG)
+	#cp -r -v $(SOURCE)/cmd/strelaypoolsrv/gui _build/src/$(PKG)/cmd/strelaypoolsrv/gui
 	mkdir -p _build/src/$(PKG)/gui/default/vendor
 	# Bootstrap
 	mkdir _build/src/$(PKG)/gui/default/vendor/bootstrap
@@ -45,6 +48,9 @@
 	cp --dereference -v -r /usr/share/fonts-font-awesome/fonts _build/src/$(PKG)/gui/default/vendor/font-awesome/fonts
 	# build assets
 	cd _build/src/$(PKG) && go run script/genassets.go gui > lib/auto/gui.files.go
+	#cd _build/src/$(PKG) && \
+	#    mkdir cmd/strelaypoolsrv/auto && \
+	#    go run script/genassets.go cmd/strelaypoolsrv/gui > cmd/strelaypoolsrv/auto/gui.go
 	# Now remove the vendor stuff, we don't really want to ship it in the -dev package.
 	rm -rf _build/src/$(PKG)/gui/default/vendor

## syncthing 0.14.3+dfsg1

=== debian/changelog ===
syncthing (0.14.3+dfsg1-4) unstable; urgency=medium

  * Install systemd user file in proper directory. (Closes: #832975)

 -- Alexandre Viau <aviau@debian.org>  Thu, 04 Aug 2016 10:48:20 -0400

syncthing (0.14.3+dfsg1-3) unstable; urgency=medium

  * Build with tag purego.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Jul 2016 14:01:56 -0400

syncthing (0.14.3+dfsg1-2) unstable; urgency=medium

  * Removed unused node-uglify dependency.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Jul 2016 12:10:36 -0400

syncthing (0.14.3+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Include stdiscosrv and strelaysrv manpages.

 -- Alexandre Viau <aviau@debian.org>  Thu, 28 Jul 2016 10:13:38 -0400

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,7 @@
                golang-github-lib-pq-dev,
 # Web things
                fonts-font-awesome,
-               libjs-bootstrap,
-               node-uglify
+               libjs-bootstrap
 Standards-Version: 3.9.8
 Homepage: https://www.syncthing.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/syncthing.git

## syncthing 0.14.4+dfsg1

=== debian/changelog ===
syncthing (0.14.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 16 Aug 2016 11:47:43 -0400

## syncthing 0.14.10+dfsg1

=== debian/changelog ===
syncthing (0.14.10+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on golang-github-gobwas-glob-dev >= 0.2.1.

 -- Alexandre Viau <aviau@debian.org>  Tue, 01 Nov 2016 11:10:31 -0400

syncthing (0.14.9+dfsg1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 25 Oct 2016 10:23:00 -0400

syncthing (0.14.8+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Remove unusable crypto_sha256.patch.
  * Depend on golang-github-minio-sha256-simd-dev.

 -- Alexandre Viau <aviau@debian.org>  Sat, 15 Oct 2016 14:55:21 -0400

syncthing (0.14.7+dfsg1-1) unstable; urgency=medium

  * d/copyright: exclude extra/*.pdf.
  * Add new patch: crypto_sha256.patch.
  * d/rules: include _external_test/external.sh.

 -- Alexandre Viau <aviau@debian.org>  Fri, 09 Sep 2016 10:42:28 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                golang-github-juju-ratelimit-dev,
                golang-github-vitrun-qart-dev,
                golang-goleveldb-dev,
-               golang-github-gobwas-glob-dev (>= 0.2.0),
+               golang-github-gobwas-glob-dev (>= 0.2.1),
                golang-github-jackpal-gateway-dev,
                golang-github-audriusbutkevicius-go-nat-pmp-dev,
                golang-github-d4l3k-messagediff-dev,
@@ -31,6 +31,7 @@
                golang-github-oschwald-geoip2-golang-dev,
                golang-gogoprotobuf-dev,
                golang-github-lib-pq-dev,
+               golang-github-minio-sha256-simd-dev,
 # Web things
                fonts-font-awesome,
                libjs-bootstrap
@@ -61,7 +62,7 @@
          golang-github-juju-ratelimit-dev,
          golang-github-vitrun-qart-dev,
          golang-goleveldb-dev,
-         golang-github-gobwas-glob-dev (>= 0.2.0),
+         golang-github-gobwas-glob-dev (>= 0.2.1),
          golang-github-jackpal-gateway-dev,
          golang-github-audriusbutkevicius-go-nat-pmp-dev,
          golang-github-d4l3k-messagediff-dev,
@@ -69,7 +70,8 @@
          golang-github-golang-groupcache-dev,
          golang-github-oschwald-geoip2-golang-dev,
          golang-gogoprotobuf-dev,
-         golang-github-lib-pq-dev
+         golang-github-lib-pq-dev,
+         golang-github-minio-sha256-simd-dev
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files

=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,8 @@
 	cp -rv $(SOURCE)/test/h3 _build/src/$(PKG)/test/
 	cp -rv $(SOURCE)/test/h4 _build/src/$(PKG)/test/
 	cp -rv $(SOURCE)/test/logs _build/src/$(PKG)/test/
+	mkdir _build/src/$(PKG)/lib/versioner/_external_test
+	cp $(SOURCE)/lib/versioner/_external_test/external.sh _build/src/$(PKG)/lib/versioner/_external_test/external.sh
 
 	# lintian: package-contains-vcs-control-file
 	rm _build/src/$(PKG)/lib/db/testdata/.gitignore
@@ -81,4 +83,4 @@
 	                           -X main.BuildUser=debian \
 	                           -X main.BuildHost=debian \
 	                           -X main.BuildStamp=$(SOURCE_DATE_EPOCH)" \
-	                           -tags noupgrade
+	                           -tags 'noupgrade purego'

## syncthing 0.14.13+dfsg1

=== debian/changelog ===
syncthing (0.14.13+dfsg1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Wed, 30 Nov 2016 10:46:06 -0500

syncthing (0.14.12+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: add section for angular-sanitize.js.
  * Use Debian's genxdr.

 -- Alexandre Viau <aviau@debian.org>  Fri, 25 Nov 2016 11:31:51 -0500

syncthing (0.14.11+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh use-debian-proto.patch.
  * Dependencies: +golang-github-sasha-s-go-deadlock-dev.

 -- Alexandre Viau <aviau@debian.org>  Tue, 15 Nov 2016 09:48:33 -0500

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
                golang-gogoprotobuf-dev,
                golang-github-lib-pq-dev,
                golang-github-minio-sha256-simd-dev,
+               golang-github-sasha-s-go-deadlock-dev,
 # Web things
                fonts-font-awesome,
                libjs-bootstrap
@@ -71,7 +72,8 @@
          golang-github-oschwald-geoip2-golang-dev,
          golang-gogoprotobuf-dev,
          golang-github-lib-pq-dev,
-         golang-github-minio-sha256-simd-dev
+         golang-github-minio-sha256-simd-dev,
+         golang-github-sasha-s-go-deadlock-dev
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 SOURCE     = $(TMP)/../
 PKG        = github.com/syncthing/syncthing
 
-# Disabled until bug 795841 is done
 #export DH_GOLANG_GO_GENERATE := 1
 
 # the version string is checked against

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg[\d]*$//;s/~beta/-beta/;s/~rc/-rc/,\
uversionmangle=s/.*\/v([\d\.]+)(-beta[\.\d]+)?\.tar\.gz/$1$2/;s/-beta/~beta/;s/-rc/~rc/,\
pgpsigurlmangle=s/$/.asc/,\
repacksuffix=+dfsg1,\
dversionmangle=s/\+dfsg\d*$// \
  https://github.com/syncthing/syncthing/releases .*/syncthing-source-v?(\d\S*)\.tar\.gz

## syncthing 0.14.15+dfsg1

=== debian/changelog ===
syncthing (0.14.15+dfsg1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 18 Dec 2016 14:01:17 -0500

## syncthing 0.14.18+dfsg1

=== debian/changelog ===
syncthing (0.14.18+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Updating build dependency.

 -- Michael Lustfield <michael@lustfield.net>  Thu, 06 Apr 2017 01:17:39 -0500

syncthing (0.14.18+dfsg1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Wed, 04 Jan 2017 11:43:38 -0500

syncthing (0.14.17+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: add section for cmd/stcli.
  * exclude stcli.

 -- Alexandre Viau <aviau@debian.org>  Fri, 30 Dec 2016 16:17:15 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
-           Gordon Ball <gordon@chronitis.net>
+           Gordon Ball <gordon@chronitis.net>,
+           Michael Lustfield <michael@lustfield.net>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # x.y.z+dfsg -> vx.y.z-dfsg
 export ST_DEB_VERSION := v$(shell echo $(DEB_VERSION_UPSTREAM) | tr A-Z a-z | tr +~ -)
 
-export DH_GOLANG_EXCLUDES := cmd/strelaypoolsrv
+export DH_GOLANG_EXCLUDES := cmd/strelaypoolsrv cmd/stcli
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

## syncthing 0.14.31~rc.1+dfsg1

=== debian/changelog ===
syncthing (0.14.31~rc.1+dfsg1-1) unstable; urgency=medium

  * New upstream version. (Closes: #858188)
  * Add new dependencies:
   - golang-github-audriusbutkevicius-pfilter-dev
   - golang-github-ccding-go-stun-dev
   - golang-github-chmduquesne-rollinghash-dev
   - golang-golang-x-time-dev
   - golang-github-xtaci-kcp-dev
   - golang-github-xtaci-smux-dev

 -- Alexandre Viau <aviau@debian.org>  Sun, 18 Jun 2017 17:24:11 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                golang-github-thejerf-suture-dev,
                golang-github-juju-ratelimit-dev,
                golang-github-vitrun-qart-dev,
-               golang-goleveldb-dev,
+               golang-github-syndtr-goleveldb-dev,
                golang-github-gobwas-glob-dev (>= 0.2.1),
                golang-github-jackpal-gateway-dev,
                golang-github-audriusbutkevicius-go-nat-pmp-dev,
@@ -33,6 +33,12 @@
                golang-gogoprotobuf-dev,
                golang-github-lib-pq-dev,
                golang-github-minio-sha256-simd-dev,
+               golang-github-xtaci-kcp-dev,
+               golang-github-xtaci-smux-dev,
+               golang-github-audriusbutkevicius-pfilter-dev,
+               golang-github-ccding-go-stun-dev,
+               golang-github-chmduquesne-rollinghash-dev,
+               golang-golang-x-time-dev,
                golang-github-sasha-s-go-deadlock-dev,
 # Web things
                fonts-font-awesome,
@@ -63,7 +69,7 @@
          golang-github-thejerf-suture-dev,
          golang-github-juju-ratelimit-dev,
          golang-github-vitrun-qart-dev,
-         golang-goleveldb-dev,
+         golang-github-syndtr-goleveldb-dev,
          golang-github-gobwas-glob-dev (>= 0.2.1),
          golang-github-jackpal-gateway-dev,
          golang-github-audriusbutkevicius-go-nat-pmp-dev,
@@ -74,6 +80,12 @@
          golang-gogoprotobuf-dev,
          golang-github-lib-pq-dev,
          golang-github-minio-sha256-simd-dev,
+         golang-github-xtaci-kcp-dev,
+         golang-github-xtaci-smux-dev,
+         golang-github-audriusbutkevicius-pfilter-dev,
+         golang-github-ccding-go-stun-dev,
+         golang-github-chmduquesne-rollinghash-dev,
+         golang-golang-x-time-dev,
          golang-github-sasha-s-go-deadlock-dev
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across

## syncthing 0.14.31+dfsg1

=== debian/changelog ===
syncthing (0.14.31+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: exclude release candidates. (Closes: #866600)
  * Bump Standards-Version to 4.0.0.

 -- Alexandre Viau <aviau@debian.org>  Sun, 02 Jul 2017 03:15:19 -0400

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 # Web things
                fonts-font-awesome,
                libjs-bootstrap
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://www.syncthing.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/syncthing.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/syncthing.git

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 pgpsigurlmangle=s/$/.asc/,\
 repacksuffix=+dfsg1,\
 dversionmangle=s/\+dfsg\d*$// \
-  https://github.com/syncthing/syncthing/releases .*/syncthing-source-v?(\d\S*)\.tar\.gz
+  https://github.com/syncthing/syncthing/releases .*/syncthing-source-v?([.\d]+)\.tar\.gz

## syncthing 0.14.33+dfsg1

=== debian/changelog ===
syncthing (0.14.33+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: exclude the meta package.

 -- Alexandre Viau <aviau@debian.org>  Wed, 26 Jul 2017 21:55:02 -0400

## syncthing 0.14.36+ds1

=== debian/changelog ===
syncthing (0.14.36+ds1-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: +dfsg -> +ds.
  * Testsuite: autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Sat, 12 Aug 2017 21:00:50 -0400

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/syncthing.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/syncthing.git
 XS-Go-Import-Path: github.com/syncthing/syncthing
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-syncthing-syncthing-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # x.y.z+dfsg -> vx.y.z-dfsg
 export ST_DEB_VERSION := v$(shell echo $(DEB_VERSION_UPSTREAM) | tr A-Z a-z | tr +~ -)
 
-export DH_GOLANG_EXCLUDES := cmd/strelaypoolsrv cmd/stcli
+export DH_GOLANG_EXCLUDES := cmd/strelaypoolsrv cmd/stcli meta
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

## syncthing 0.14.37+ds1

=== debian/changelog ===
syncthing (0.14.37+ds1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Alexandre Viau <aviau@debian.org>  Sun, 17 Sep 2017 01:13:29 -0400

syncthing (0.14.37+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on golang-github-kballard-go-shellquote-dev.
  * Remove unused d/copyright section for
    lib/osutil/mkdirall_windows.go.

 -- Alexandre Viau <aviau@debian.org>  Sat, 16 Sep 2017 22:13:18 -0400

syncthing (0.14.36+ds1-3) unstable; urgency=medium

  * Use -nat by default for relaysrv.
  * discosrv now uses /etc/default/syncthing-discosrv instead of
    /etc/default/stdiscosrv.

 -- Alexandre Viau <aviau@debian.org>  Tue, 29 Aug 2017 19:53:54 -0400

syncthing (0.14.36+ds1-2) unstable; urgency=medium

  * Create systemd services for syncthing-discosrv and
    syncthing-relaysrv.

 -- Alexandre Viau <aviau@debian.org>  Mon, 28 Aug 2017 22:02:11 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Michael Lustfield <michael@lustfield.net>
 Build-Depends: debhelper (>= 9),
                dh-golang,
+               dh-systemd,
                golang-go,
 # Go libs
                genxdr,
@@ -40,6 +41,7 @@
                golang-github-chmduquesne-rollinghash-dev,
                golang-golang-x-time-dev,
                golang-github-sasha-s-go-deadlock-dev,
+               golang-github-kballard-go-shellquote-dev,
 # Web things
                fonts-font-awesome,
                libjs-bootstrap
@@ -87,6 +89,7 @@
          golang-github-ccding-go-stun-dev,
          golang-github-chmduquesne-rollinghash-dev,
          golang-golang-x-time-dev,
+         golang-github-kballard-go-shellquote-dev,
          golang-github-sasha-s-go-deadlock-dev
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across
@@ -114,6 +117,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         adduser
 Description: decentralized file synchronization - relay server
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files
@@ -131,6 +135,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         adduser
 Description: decentralized file synchronization - discovery server
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+ds[\d]*$//;s/~beta/-beta/;s/~rc/-rc/,\
uversionmangle=s/.*\/v([\d\.]+)(-beta[\.\d]+)?\.tar\.gz/$1$2/;s/-beta/~beta/;s/-rc/~rc/,\
pgpsigurlmangle=s/$/.asc/,\
repacksuffix=+ds1,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/syncthing/syncthing/releases .*/syncthing-source-v?([.\d]+)\.tar\.gz

## syncthing 0.14.38+ds1

=== debian/changelog ===
syncthing (0.14.38+ds1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * New upstream version.
  * Move to salsa.debian.org.
  * Depend on golang-github-audriusbutkevicius-kcp-go-dev.
  * No longer depend on dh-systemd.

  [ Michael Lustfield ]
  * Drop inactive uploader from Uploaders list.

 -- Alexandre Viau <aviau@debian.org>  Thu, 28 Dec 2017 18:07:05 -0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
-           Gordon Ball <gordon@chronitis.net>,
-           Michael Lustfield <michael@lustfield.net>
-Build-Depends: debhelper (>= 9),
+           Gordon Ball <gordon@chronitis.net>
+Build-Depends: debhelper (>= 9.20160709),
                dh-golang,
-               dh-systemd,
                golang-go,
 # Go libs
                genxdr,
@@ -34,7 +32,8 @@
                golang-gogoprotobuf-dev,
                golang-github-lib-pq-dev,
                golang-github-minio-sha256-simd-dev,
-               golang-github-xtaci-kcp-dev,
+#               golang-github-xtaci-kcp-dev,
+               golang-github-audriusbutkevicius-kcp-go-dev,
                golang-github-xtaci-smux-dev,
                golang-github-audriusbutkevicius-pfilter-dev,
                golang-github-ccding-go-stun-dev,
@@ -47,8 +46,8 @@
                libjs-bootstrap
 Standards-Version: 4.0.0
 Homepage: https://www.syncthing.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/syncthing.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/syncthing.git
+Vcs-Browser: https://salsa.debian.org/pkg-go-team/syncthing
+Vcs-Git: https://salsa.debian.org/pkg-go-team/syncthing.git
 XS-Go-Import-Path: github.com/syncthing/syncthing
 Testsuite: autopkgtest-pkg-go
 
@@ -83,7 +82,8 @@
          golang-gogoprotobuf-dev,
          golang-github-lib-pq-dev,
          golang-github-minio-sha256-simd-dev,
-         golang-github-xtaci-kcp-dev,
+#         golang-github-xtaci-kcp-dev,
+         golang-github-audriusbutkevicius-kcp-go-dev,
          golang-github-xtaci-smux-dev,
          golang-github-audriusbutkevicius-pfilter-dev,
          golang-github-ccding-go-stun-dev,

## syncthing 0.14.43+ds1

=== debian/changelog ===
syncthing (0.14.43+ds1-6) unstable; urgency=medium

  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Feb 2018 23:01:09 -0500

syncthing (0.14.43+ds1-5) unstable; urgency=medium

  * point Vcs-* urls to salsa.d.o subproject

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 14:55:07 -0500

syncthing (0.14.43+ds1-4) unstable; urgency=medium

  * Skip flaky watch tests.
  * debian/compat: bump to 10.
  * Bump Standards-Version to 4.1.3.
  * Remove unused lintian overrides.
  * Remove duplicate golang-github-xtaci-kcp-dev dependency.

 -- Alexandre Viau <aviau@debian.org>  Fri, 19 Jan 2018 11:06:00 -0500

syncthing (0.14.43+ds1-3) unstable; urgency=medium

  * extend-test-delay.patch: extend test delay to 30s.

 -- Alexandre Viau <aviau@debian.org>  Fri, 19 Jan 2018 10:15:38 -0500

syncthing (0.14.43+ds1-2) unstable; urgency=medium

  * Create extend-test-delay.patch.

 -- Alexandre Viau <aviau@debian.org>  Thu, 18 Jan 2018 20:14:59 -0500

syncthing (0.14.43+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on golang-github-xtaci-kcp-dev.

 -- Alexandre Viau <aviau@debian.org>  Thu, 18 Jan 2018 19:08:46 -0500

syncthing (0.14.42+ds1-1) unstable; urgency=medium

  * New upstream version.
  * depend on golang-github-zillode-notify-dev.
  * Priority extra -> optional.

 -- Alexandre Viau <aviau@debian.org>  Thu, 18 Jan 2018 18:46:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: syncthing
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Alexandre Viau <aviau@debian.org>,
            Gordon Ball <gordon@chronitis.net>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-go,
 # Go libs
@@ -32,22 +32,22 @@
                golang-gogoprotobuf-dev,
                golang-github-lib-pq-dev,
                golang-github-minio-sha256-simd-dev,
-#               golang-github-xtaci-kcp-dev,
-               golang-github-audriusbutkevicius-kcp-go-dev,
+               golang-github-xtaci-kcp-dev,
                golang-github-xtaci-smux-dev,
                golang-github-audriusbutkevicius-pfilter-dev,
                golang-github-ccding-go-stun-dev,
                golang-github-chmduquesne-rollinghash-dev,
                golang-golang-x-time-dev,
+               golang-github-kballard-go-shellquote-dev,
+               golang-github-zillode-notify-dev,
                golang-github-sasha-s-go-deadlock-dev,
-               golang-github-kballard-go-shellquote-dev,
 # Web things
                fonts-font-awesome,
                libjs-bootstrap
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://www.syncthing.net/
-Vcs-Browser: https://salsa.debian.org/pkg-go-team/syncthing
-Vcs-Git: https://salsa.debian.org/pkg-go-team/syncthing.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/syncthing
+Vcs-Git: https://salsa.debian.org/go-team/packages/syncthing.git
 XS-Go-Import-Path: github.com/syncthing/syncthing
 Testsuite: autopkgtest-pkg-go
 
@@ -82,15 +82,15 @@
          golang-gogoprotobuf-dev,
          golang-github-lib-pq-dev,
          golang-github-minio-sha256-simd-dev,
-#         golang-github-xtaci-kcp-dev,
-         golang-github-audriusbutkevicius-kcp-go-dev,
+         golang-github-xtaci-kcp-dev,
          golang-github-xtaci-smux-dev,
          golang-github-audriusbutkevicius-pfilter-dev,
          golang-github-ccding-go-stun-dev,
          golang-github-chmduquesne-rollinghash-dev,
          golang-golang-x-time-dev,
          golang-github-kballard-go-shellquote-dev,
-         golang-github-sasha-s-go-deadlock-dev
+         golang-github-zillode-notify-dev,
+         golang-github-sasha-s-go-deadlock-dev,
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 export DH_GOLANG_EXCLUDES := cmd/strelaypoolsrv cmd/stcli meta
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
+	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build
 
 override_dh_auto_configure:
 	dh_auto_configure

## syncthing 0.14.44+ds1

=== debian/changelog ===
syncthing (0.14.44+ds1-2) unstable; urgency=medium

  [ Mpampis Kostas ]
  * Team upload
  * Depend on golang-github-rcrowley-go-metrics-dev

  [ Michael Stapelberg ]
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)

  [ Christos Trochalakis ]
  * Add missing golang-github-prometheus-client-golang-dev dependency

 -- Mpampis Kostas <charkost.rb@gmail.com>  Tue, 13 Mar 2018 12:35:52 +0200

syncthing (0.14.44+ds1-1) unstable; urgency=medium

  * d/copyright: add sections for moment.js and fancytree.
  * d/copyright: remove reference to lib/upnp/igd.go.
  * d/copyright: fix insecure-copyright-format-uri.
  * fix missing-built-using-field-for-golang-package.

 -- Alexandre Viau <aviau@debian.org>  Mon, 05 Mar 2018 13:13:14 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                golang-go,
 # Go libs
                genxdr,
-               golang-metrics-dev,
+               golang-github-rcrowley-go-metrics-dev,
+               golang-github-prometheus-client-golang-dev,
                golang-github-kardianos-osext-dev,
                golang-github-bkaradzic-go-lz4-dev,
                golang-golang-x-text-dev,
@@ -59,7 +60,8 @@
          golang-go,
 # Go libs
          genxdr,
-         golang-metrics-dev,
+         golang-github-rcrowley-go-metrics-dev,
+         golang-github-prometheus-client-golang-dev,
          golang-github-kardianos-osext-dev,
          golang-github-bkaradzic-go-lz4-dev,
          golang-golang-x-text-dev,
@@ -104,6 +106,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+Built-Using: ${misc:Built-Using}
 Description: decentralized file synchronization
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files
@@ -118,6 +121,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser
+Built-Using: ${misc:Built-Using}
 Description: decentralized file synchronization - relay server
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files
@@ -136,6 +140,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser
+Built-Using: ${misc:Built-Using}
 Description: decentralized file synchronization - discovery server
  Syncthing is an application that lets you synchronize your files across
  multiple devices. This means the creation, modification or deletion of files

## syncthing 0.14.46+ds1

=== debian/changelog ===
syncthing (0.14.46+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on golang-github-zillode-notify-dev
    >= 0.0~git20171210.8fff849-5.

 -- Alexandre Viau <aviau@debian.org>  Wed, 04 Apr 2018 14:28:29 -0400

syncthing (0.14.45+ds1-3) unstable; urgency=medium

  * Restore skip-watch-tests.patch.

 -- Alexandre Viau <aviau@debian.org>  Thu, 29 Mar 2018 12:34:06 -0400

syncthing (0.14.45+ds1-2) unstable; urgency=medium

  * Fix maintainer-script-should-not-use-recursive-chown-or-chmod.

 -- Alexandre Viau <aviau@debian.org>  Thu, 29 Mar 2018 11:34:44 -0400

syncthing (0.14.45+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Remove unnecessary skip-watch-tests.patch.

 -- Alexandre Viau <aviau@debian.org>  Thu, 29 Mar 2018 11:29:49 -0400

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                golang-github-chmduquesne-rollinghash-dev,
                golang-golang-x-time-dev,
                golang-github-kballard-go-shellquote-dev,
-               golang-github-zillode-notify-dev,
+               golang-github-zillode-notify-dev (>= 0.0~git20171210.8fff849-5),
                golang-github-sasha-s-go-deadlock-dev,
 # Web things
                fonts-font-awesome,
@@ -91,7 +91,7 @@
          golang-github-chmduquesne-rollinghash-dev,
          golang-golang-x-time-dev,
          golang-github-kballard-go-shellquote-dev,
-         golang-github-zillode-notify-dev,
+         golang-github-zillode-notify-dev (>= 0.0~git20171210.8fff849-5),
          golang-github-sasha-s-go-deadlock-dev,
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across

## syncthing 0.14.48+ds1

=== debian/changelog ===
syncthing (0.14.48+ds1-1) unstable; urgency=medium

  * New upstream version. (Closes: #902250)

 -- Alexandre Viau <aviau@debian.org>  Tue, 03 Jul 2018 17:59:06 -0400

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                golang-github-chmduquesne-rollinghash-dev,
                golang-golang-x-time-dev,
                golang-github-kballard-go-shellquote-dev,
-               golang-github-zillode-notify-dev (>= 0.0~git20171210.8fff849-5),
+               golang-github-syncthing-notify-dev,
                golang-github-sasha-s-go-deadlock-dev,
 # Web things
                fonts-font-awesome,
@@ -91,7 +91,7 @@
          golang-github-chmduquesne-rollinghash-dev,
          golang-golang-x-time-dev,
          golang-github-kballard-go-shellquote-dev,
-         golang-github-zillode-notify-dev (>= 0.0~git20171210.8fff849-5),
+         golang-github-syncthing-notify-dev,
          golang-github-sasha-s-go-deadlock-dev,
 Description: decentralized file synchronization - dev package
  Syncthing is an application that lets you synchronize your files across
